using System;

namespace GanttChartTaskListViewSimpleDatabaseSample
{
    // Define supplemental Task properties to be used in data binding processing.
    partial class Task
    {
        // IsExpanded value is not persisted, and it is initialized to true.
        public bool IsExpanded
        {
            get { return true; }
            set { }
        }

        // Transform EffortHours (decimal renamed from Effort in DataClasses.dbml) to Effort (TimeSpan).
        public TimeSpan Effort
        {
            get { return TimeSpan.FromHours((double)EffortHours); }
            set { EffortHours = (decimal)value.TotalHours; }
        }

        // Transform CompletedEffortHours (decimal renamed from CompletedEffort in DataClasses.dbml) to CompletedEffort (TimeSpan).
        public TimeSpan CompletedEffort
        {
            get { return TimeSpan.FromHours((double)CompletedEffortHours); }
            set { CompletedEffortHours = (decimal)value.TotalHours; }
        }
    }
}
